> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getsly.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Provision MPP wallet

> Provision a Tempo wallet capable of voucher signing. One-time per agent.



## OpenAPI

````yaml /api-reference/openapi.json post /v1/mpp/wallets/provision
openapi: 3.1.0
info:
  title: Sly API
  description: >-
    The Agentic Economy Platform — stablecoin payments, agent wallets,
    multi-protocol commerce, and AI agent orchestration.
  version: 1.0.0
  contact:
    name: Sly
    url: https://getsly.ai
    email: support@getsly.ai
servers:
  - url: https://api.getsly.ai/v1
    description: Production
  - url: https://sandbox.getsly.ai/v1
    description: Sandbox
security:
  - bearerAuth: []
paths:
  /v1/mpp/wallets/provision:
    post:
      tags:
        - MPP
      summary: Provision MPP wallet
      description: Provision a Tempo wallet capable of voucher signing. One-time per agent.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                agent_id:
                  type: string
                  format: uuid
              required:
                - agent_id
      responses:
        '201':
          description: Provisioned
          content:
            application/json:
              schema:
                type: object
                properties:
                  wallet_id:
                    type: string
                    format: uuid
                  voucher_key:
                    type: string
                required:
                  - wallet_id
                  - voucher_key
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        API key (pk_test_* or pk_live_*), JWT session, agent token (agent_*),
        Ed25519 session (sess_*), or portal token (portal_*).

````